import Relation from "./core/Relation.js";
import { IRelationViewerData } from "./types.js";
export default class {
    cwd: string;
    workingDirectory: string;
    relationFilePath: string;
    constructor(cwd?: string);
    checkIsInit(): boolean;
    init(): boolean;
    read(): Relation[];
    write(relations: Relation[]): void;
    createMarkdownRelations(info: {
        fromAbsolutePath: string;
        toAbsolutePath: string;
    }): Promise<Relation[]>;
    create(info: {
        fromAbsolutePath: string;
        fromRange: [number, number];
        toAbsolutePath: string;
        toRange: [number, number];
    }): Promise<Relation>;
    filter(filter: (relation: Relation) => boolean): Relation[];
    updateById(id: any, update: (relation: Relation) => Promise<Relation> | Relation): Promise<void>;
    getRelationViewerData(relations?: Relation[]): Promise<IRelationViewerData>;
}
