import { diffLines } from "diff";
import { fixChanges } from "./fixChanges.js";
import GitServer from "./GitServer.js";
let singleton;
export default class ChangeServer {
    constructor(gitServer) {
        this.fixedChangesMap = new Map();
        this.gitServer = gitServer;
    }
    getFixedChanges(content1, content2) {
        const result = fixChanges(diffLines(content1, content2));
        return result;
    }
    static singleton() {
        if (!singleton) {
            singleton = new ChangeServer(GitServer.singleton());
        }
        return singleton;
    }
}
