import { IRawRelation, IViewerContents, IViewerRelation } from "../types.js";
interface IRelationInfo extends Partial<IRawRelation> {
    workingDirectory?: string;
}
export declare enum RelationRevType {
    content = "content",
    git = "git"
}
declare class Relation {
    id: any;
    fromRange: [number, number];
    toRange: [number, number];
    fromPath: any;
    toPath: any;
    fromContentRev: any;
    toContentRev: any;
    fromGitRev: any;
    toGitRev: any;
    fromGitWorkingDirectory: any;
    toGitWorkingDirectory: any;
    workingDirectory: any;
    constructor(relationInfo?: IRelationInfo);
    get fromRevType(): RelationRevType;
    get toRevType(): RelationRevType;
    get fromAbsolutePath(): string;
    set fromAbsolutePath(absolutePath: string);
    get toAbsolutePath(): string;
    set toAbsolutePath(absolutePath: string);
    get fromGitWorkingDirectoryString(): any;
    get toGitWorkingDirectoryString(): any;
    get fromAbsoluteGitWorkingDirectory(): string;
    get toAbsoluteGitWorkingDirectory(): string;
    get fromRelativeGitPath(): string;
    get toRelativeGitPath(): string;
    get fromCurrentContent(): string;
    get toCurrentContent(): string;
    getFromDirty(): Promise<boolean>;
    getFromGitContent(rev: string): Promise<string>;
    getToGitContent(rev: string): Promise<string>;
    getFromOriginalContent(): Promise<string>;
    getToOriginalContent(): Promise<string>;
    getContent(contentRev: string): string;
    getContentSafe(contentRev: string): string;
    getGitContent({ absoluteGitWorkingDirectory, rev, relativeGitPath, safe, }: {
        absoluteGitWorkingDirectory: string;
        rev: string;
        relativeGitPath: string;
        safe?: boolean;
    }): Promise<string>;
    getRelativePath(absolutePath: string): string;
    getAbsolutePath(relativePath: string): string;
    setFromContent(content: string): void;
    setToContent(content: string): void;
    setFromGitInfo({ rev }: {
        rev: any;
    }): Promise<void>;
    setToGitInfo({ rev }: {
        rev: any;
    }): Promise<void>;
    getAbsoluteGitWorkingDirectory(filePath: string): Promise<string>;
    parseRev(rev: string, absoluteGitWorkingDirectory: string): Promise<any>;
    addContent(content: string): string;
    toJSON(): IRawRelation;
    autoSetFromRev({ gitRev }?: {
        gitRev?: string;
    }): Promise<void>;
    autoSetToRev({ gitRev }?: {
        gitRev?: string;
    }): Promise<void>;
    getViewerRelationAndContents(): Promise<[
        IViewerRelation,
        IViewerContents
    ]>;
}
export default Relation;
