var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import Relation from "../core/Relation.js";
import { relationId } from "../core/relationId.js";
import { getRelationRanges } from "./getRelationRanges.js";
export default function (options) {
    return __awaiter(this, void 0, void 0, function* () {
        const baseRelation = new Relation({
            workingDirectory: options.workingDirectory,
        });
        baseRelation.fromAbsolutePath = options.fromAbsolutePath;
        baseRelation.toAbsolutePath = options.toAbsolutePath;
        const fromContent = baseRelation.fromCurrentContent;
        const toContent = baseRelation.toCurrentContent;
        const relationRanges = yield getRelationRanges(fromContent, toContent);
        const relations = [];
        for (const relationRange of relationRanges) {
            const relation = new Relation({
                id: relationId(),
                workingDirectory: options.workingDirectory,
                fromPath: baseRelation.fromPath,
                toPath: baseRelation.toPath,
                fromRange: relationRange.fromRange,
                toRange: relationRange.toRange,
            });
            yield relation.autoSetFromRev();
            yield relation.autoSetToRev();
            relations.push(relation);
        }
        return relations;
    });
}
