const blockType = ["heading", "yaml"];
export function getBlocks(ast) {
    const children = ast.children;
    const blocks = [];
    if (!children.length) {
        return blocks;
    }
    let startLine;
    for (let i = 0; i < children.length - 1; i++) {
        const child = children[i];
        if (!child.position) {
            continue;
        }
        if (startLine === undefined) {
            startLine = child.position.start.line;
        }
        if (!blockType.includes(children[i + 1].type)) {
            continue;
        }
        blocks.push({
            start: startLine,
            end: child.position.end.line,
        });
        startLine = undefined;
    }
    const lastChild = children.at(-1);
    if (lastChild === null || lastChild === void 0 ? void 0 : lastChild.position) {
        if (startLine === undefined) {
            startLine = lastChild.position.start.line;
        }
        blocks.push({
            start: startLine,
            end: lastChild.position.end.line,
        });
    }
    return blocks;
}
