var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { getBlocks } from "./getBlocks.js";
export function getRelationRanges(fromContent, toContent) {
    return __awaiter(this, void 0, void 0, function* () {
        const { default: remarkFrontmatter } = yield import("remark-frontmatter");
        const { default: remarkParse } = yield import("remark-parse");
        const { unified } = yield import("unified");
        const fromAst = yield unified()
            .use(remarkParse)
            .use(remarkFrontmatter)
            .parse(fromContent);
        const toAst = yield unified()
            .use(remarkParse)
            .use(remarkFrontmatter)
            .parse(toContent);
        const fromBlocks = getBlocks(fromAst);
        const toBlocks = getBlocks(toAst);
        const relations = [];
        for (let i = 0; i < toBlocks.length; i++) {
            const fromBlock = fromBlocks[i];
            const toBlock = toBlocks[i];
            if (!fromBlock) {
                break;
            }
            relations.push({
                fromRange: [fromBlock.start, fromBlock.end],
                toRange: [toBlock.start, toBlock.end],
            });
        }
        return relations;
    });
}
